> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rated.network/llms.txt
> Use this file to discover all available pages before exploring further.

# Slashing overview

This endpoint returns overview statistics around slashing, including the number of validators slashed, slashing events, and slashing incidents between professional and solo validators.


## OpenAPI

````yaml get /v0/eth/slashings/overview
openapi: 3.1.0
info:
  title: Rated API
  description: >

    Welcome to Rated API Swagger doc for developers! This doc outlines the Rated
    API functionality and API architecture.


    V0: It is separated into seven categories:


    -   **Validators**: Endpoints to query into individual validator indices or
    aggregations of validator indices.

    -   **Operators**: Endpoints to query into pre-materialized operator
    groupings.

    -   **Network**: Endpoints to query into network aggregate stats.

    -   **Slashings**: Endpoints to query into network aggregate stats.

    -   **Withdrawals (beta)**: Endpoints to query into when a withdrawal is
    expected to land.

    -   **Self Report (beta)**: Endpoint to query into all slashed validators
    and individual slashed validator indices


    V1: It is separated into six categories:

    -   **Overview**: Endpoints encapsulating the current status of operators,
    pools and validators.

    -   **Performance**: Endpoints that dive into performance and effectiveness
    metrics on execution and consensus layer for operators, pools and
    validators.

    -   **Rewards**: Endpoints that dive into relevant metrics around rewards
    and penalties for operators, pools and validators.

    -   **Private Sets**: Endpoints that aggregate custom group of validators
    privately for performance and reward drill downs.

    -   **Metadata**: Endpoints that provide metadata about mappings, slashings
    and APRs for validators, pools and operators.

    -   **Network**: Endpoints that provide network level metrics about
    performance, rewards, and distributions.


    [Terms of Use](https://docs.rated.network/legal/terms/api-terms-of-service)


    [API
    Reference](https://docs.rated.network/rated-api/api-reference/introduction)
  version: '1.0'
servers: []
security: []
paths:
  /v0/eth/slashings/overview:
    get:
      tags:
        - Slashings
      summary: Get Slashing Overview
      operationId: get_slashing_overview_v0_eth_slashings_overview_get
      parameters:
        - name: X-Rated-Network
          in: header
          required: false
          schema:
            $ref: '#/components/schemas/Network'
            default: mainnet
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/SlashingOverview'
                title: Response Get Slashing Overview V0 Eth Slashings Overview Get
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request
      security:
        - HTTPBearer: []
components:
  schemas:
    Network:
      type: string
      enum:
        - mainnet
        - hoodi
        - holesky
      title: Network
    SlashingOverview:
      properties:
        timeWindow:
          $ref: '#/components/schemas/TimeWindow'
        validatorsSlashed:
          type: integer
          minimum: 0
          title: Validatorsslashed
        discreteSlashingEvents:
          type: integer
          minimum: 0
          title: Discreteslashingevents
        largestSlashingIncident:
          type: integer
          minimum: 0
          title: Largestslashingincident
        currentSlashingPenaltyGwei:
          type: integer
          minimum: 0
          title: Currentslashingpenaltygwei
        slashingSlotsRatio:
          type: number
          minimum: 0
          title: Slashingslotsratio
        solosRatio:
          type: number
          minimum: 0
          title: Solosratio
        prosRatio:
          type: number
          minimum: 0
          title: Prosratio
        slashingPenaltiesAllRewardsRatio:
          type: number
          minimum: 0
          title: Slashingpenaltiesallrewardsratio
        slashingPenaltiesStakeRatio:
          type: number
          minimum: 0
          title: Slashingpenaltiesstakeratio
      type: object
      required:
        - timeWindow
        - validatorsSlashed
        - discreteSlashingEvents
        - largestSlashingIncident
        - currentSlashingPenaltyGwei
        - slashingSlotsRatio
        - solosRatio
        - prosRatio
        - slashingPenaltiesAllRewardsRatio
        - slashingPenaltiesStakeRatio
      title: SlashingOverview
      examples:
        - currentSlashingPenaltyGwei: 1064833914
          discreteSlashingEvents: 97
          largestSlashingIncident: 2
          prosSlotsRatio: 0.42446
          slashingPenaltiesAllRewardsRatio: 0.00011
          slashingPenaltiesStakeRatio: 0.00001
          slashingSlotsRatio: 0.00003
          solosSlotsRatio: 0.57554
          timeWindow: all
          validatorsSlashed: 278
    ErrorResponse:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/Error'
          type: array
          title: Detail
      type: object
      required:
        - detail
      title: ErrorResponse
    TimeWindow:
      type: string
      enum:
        - 1d
        - 7d
        - 30d
        - all
      title: TimeWindow
    Error:
      properties:
        loc:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Loc
        msg:
          type: string
          title: Msg
        type:
          type: string
          title: Type
      type: object
      required:
        - msg
        - type
      title: Error
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````